ssl: 
  insecureSkipVerify: true
podAnnotations:
  prometheus.io/port: "8082"
  prometheus.io/scrape: "true"
service:
  spec:
    internalTrafficPolicy: Local
    externalTrafficPolicy: Local
env:
  - name: POD_NAME
    valueFrom:
      fieldRef:
        fieldPath: metadata.name
  - name: POD_NAMESPACE
    valueFrom:
      fieldRef:
        fieldPath: metadata.namespace
  - name: NODE_NAME
    valueFrom:
      fieldRef:
        fieldPath: spec.nodeName
deployment:
  kind: "DaemonSet"
  podAnnotations:
    logs.wtbt.uk/special: "accesslog"
  additionalContainers:
    - name: auth
      image: registry.gitlab.com/ztmesh/forward-auth-proxy:main
      imagePullPolicy: Always
providers:
  kubernetesCRD:
    allowCrossNamespace: true
  kubernetesIngress:
    publishedService:
      enabled: true
additionalArguments:
  - "--log.format=json"
  - "--log.level=error"
  - "--accesslog=true"
  - "--accesslog.format=json"
  - "--accesslog.bufferingsize=0"
priorityClassName: "system-cluster-critical"